# vim: set ft=spec: -*- spec -*-
# $Id: libgle,v 1.2 2005/06/16 14:08:00 raorn Exp $

%def_disable static

# Let's tweak some paths...
%define _libdir %_x11libdir
%define _includedir %_x11includedir
%define _mandir %_x11mandir
# Please, RPM, do not remove documentation after installing...
%define _customdocdir %_docdir/%name-%version

%define oname gle

Name: lib%oname
Version: 3.1.0
Release: alt4
Summary: The GLE Tubing and Extrusion Library for OpenGL
License: GPL
Group: System/Libraries
Url: http://www.linas.org/gle/
Packager: Sir Raorn <raorn@altlinux.ru>

Source: %url/pub/%oname-%version.tar.gz

# Automatically added by buildreq on Mon Apr 07 2003 and filtered by raorn
BuildRequires: xorg-x11-devel libGLU-devel libglut-devel
%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

%package devel
Summary: Dedelopment headers for the GLE Tubing and Extrusion Library
Group: Development/C
Requires: %name = %version-%release
# Due to %_includedir/GL directory...
Requires: xorg-x11-devel

%description devel
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contain development headers and libraries.

%if_enabled static
%package devel-static
Summary: Static version of the GLE Tubing and Extrusion Library
Group: Development/C
Requires: %name-devel = %version-%release

%description -n lib%name-devel-static
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contains static libraries.
%endif

%package doc
Summary: Documentation for the GLE Tubing and Extrusion Library
Group: Books/Computer books
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release
Obsoletes: gle-doc <= 3.1.0-alt3

%description doc
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contains documentation.

%prep
%setup -q -n %oname-%version

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
	%{subst_enable static}
%make_build

%install
%makeinstall
%__mv %buildroot%_docdir/%oname %buildroot%_docdir/%name-%version

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*
%exclude %_docdir/%name-%version/examples
%exclude %_docdir/%name-%version/html
%_libdir/lib%oname.so.*

%files devel
%_libdir/lib%oname.so
%_includedir/GL/*
%_mandir/man3/*

%if_enabled static
%files devel-static
%_libdir/lib%oname.a
%endif

%files doc
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/examples
%doc %_docdir/%name-%version/html

%changelog
* Thu Jun 16 2005 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt4
- Renamed sourcerpm to libgle due to conflict with http://glx.sf.net/ (closes: #7115)

* Fri Dec 12 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt3
- devel-static and *.la fixes

* Sun Apr 13 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt2
- Oops. Added %%post/%%postun scripts for lib%name

* Mon Apr 07 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt1
- Built for Sisyphus


